{
  "name": "編輯標誌小部件",
  "icon": "pneumaticcraft:textures/progwidgets/edit_sign_piece.png",
  "category": "pneumaticcraft:widget_interact",
  "advancement": "pneumaticcraft:programmer",
  "pages": [
    {
      "type": "text",
      "text": "這將編輯連線的 $(l:programming/area)區域/$ 中所有的 $(item)標誌/$ 和/或 $(l:machines/aphorism_tile)格言磚/$，使其文字與連線的 $(l:programming/text)文字/$ 小部件指定的文字相同。$(p) 每個連線的 $(thing)文字/$ 小部件代表一行；透過連線多個 $(thing)文字/$ 小部件，您可以設定多行訊息。"
    },
    {
      "type": "text",
      "title": "變數",
      "text": "您還可以透過在文字中包含 $(thing)${<var_name>}/$ 來插入 $(l:programming/variables)變數/$ 的值，例如：$(p)  $(formula)計數器: ${counter}/$$(p)如果 $(thing)counter/$ 變數設定為 $(thing)x=1,y=2,z=3/$，則會展開為 $(thing)計數器: 1, 2, 3/$。$(l:programming/variables#special)特殊/$ 和 $(l:programming/variables#global)全域性變數/$ 也可以在這裡使用。"
    },
    {
      "type": "image",
      "images": [
        "pneumaticcraft:textures/progwidgets/edit_sign_piece.png"
      ],
      "text": "$(italic)編輯標誌小部件/$"
    }
  ]
}